Imports DigitalData.GUIs.Common
Imports DigitalData.GUIs.Common.Base
Imports DigitalData.Modules.Database
Imports DigitalData.Modules.Logging

Public Class frmObjectProperties
    Implements IBaseForm

    Public Sub New(pLogConfig As LogConfig, Database As MSSQLServer)
        ' Dieser Aufruf ist für den Designer erforderlich.
        InitializeComponent()

        ' Fügen Sie Initialisierungen nach dem InitializeComponent()-Aufruf hinzu.
        LogConfig = pLogConfig
        Logger = pLogConfig.GetLogger()
    End Sub

    Public ReadOnly Property LogConfig As LogConfig Implements IBaseForm.LogConfig

    Public ReadOnly Property Logger As Logger Implements IBaseForm.Logger

    Public ReadOnly Property ErrorHandler As BaseErrorHandler Implements IBaseForm.ErrorHandler

End Class